Package com.databricks.jdbc.client.impl.thrift.generated

## Class TColumnDesc

- java.lang.Object
- - com.databricks.jdbc.client.impl.thrift.generated.TColumnDesc

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TColumnDesc>`, `org.apache.thrift.TBase<TColumnDesc,​TColumnDesc._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TColumnDesc
    extends Object
    implements org.apache.thrift.TBase<TColumnDesc,​TColumnDesc._Fields>, Serializable, Cloneable, Comparable<TColumnDesc>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TColumnDesc._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `columnName`
`String` `comment`
`static Map<TColumnDesc._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`int` `position`
`TTypeDesc` `typeDesc`

### Constructor Summary

Constructors
`TColumnDesc()`
`TColumnDesc​(TColumnDesc other)` Performs a deep copy on other.
`TColumnDesc​(String columnName, TTypeDesc typeDesc, int position)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TColumnDesc other)`
`TColumnDesc` `deepCopy()`
`boolean` `equals​(TColumnDesc that)`
`boolean` `equals​(Object that)`
`TColumnDesc._Fields` `fieldForId​(int fieldId)`
`String` `getColumnName()`
`String` `getComment()`
`Object` `getFieldValue​(TColumnDesc._Fields field)`
`int` `getPosition()`
`TTypeDesc` `getTypeDesc()`
`int` `hashCode()`
`boolean` `isSet​(TColumnDesc._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetColumnName()` Returns true if field columnName is set (has been assigned a value) and false otherwise
`boolean` `isSetComment()` Returns true if field comment is set (has been assigned a value) and false otherwise
`boolean` `isSetPosition()` Returns true if field position is set (has been assigned a value) and false otherwise
`boolean` `isSetTypeDesc()` Returns true if field typeDesc is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TColumnDesc` `setColumnName​(String columnName)`
`void` `setColumnNameIsSet​(boolean value)`
`TColumnDesc` `setComment​(String comment)`
`void` `setCommentIsSet​(boolean value)`
`void` `setFieldValue​(TColumnDesc._Fields field, Object value)`
`TColumnDesc` `setPosition​(int position)`
`void` `setPositionIsSet​(boolean value)`
`TColumnDesc` `setTypeDesc​(TTypeDesc typeDesc)`
`void` `setTypeDescIsSet​(boolean value)`
`String` `toString()`
`void` `unsetColumnName()`
`void` `unsetComment()`
`void` `unsetPosition()`
`void` `unsetTypeDesc()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### columnName

    public String columnName

#### typeDesc

    public TTypeDesc typeDesc

#### position

    public int position

#### comment

    public String comment

#### metaDataMap

    public static final Map<TColumnDesc._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TColumnDesc

    public TColumnDesc()

#### TColumnDesc

    public TColumnDesc​(String columnName,
                       TTypeDesc typeDesc,
                       int position)

#### TColumnDesc

    public TColumnDesc​(TColumnDesc other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TColumnDesc deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TColumnDesc,​TColumnDesc._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TColumnDesc,​TColumnDesc._Fields>`

#### getColumnName

    public String getColumnName()

#### setColumnName

    public TColumnDesc setColumnName​(String columnName)

#### unsetColumnName

    public void unsetColumnName()

#### isSetColumnName

    public boolean isSetColumnName()

Returns true if field columnName is set (has been assigned a value) and false otherwise

#### setColumnNameIsSet

    public void setColumnNameIsSet​(boolean value)

#### getTypeDesc

    public TTypeDesc getTypeDesc()

#### setTypeDesc

    public TColumnDesc setTypeDesc​(TTypeDesc typeDesc)

#### unsetTypeDesc

    public void unsetTypeDesc()

#### isSetTypeDesc

    public boolean isSetTypeDesc()

Returns true if field typeDesc is set (has been assigned a value) and false otherwise

#### setTypeDescIsSet

    public void setTypeDescIsSet​(boolean value)

#### getPosition

    public int getPosition()

#### setPosition

    public TColumnDesc setPosition​(int position)

#### unsetPosition

    public void unsetPosition()

#### isSetPosition

    public boolean isSetPosition()

Returns true if field position is set (has been assigned a value) and false otherwise

#### setPositionIsSet

    public void setPositionIsSet​(boolean value)

#### getComment

    public String getComment()

#### setComment

    public TColumnDesc setComment​(String comment)

#### unsetComment

    public void unsetComment()

#### isSetComment

    public boolean isSetComment()

Returns true if field comment is set (has been assigned a value) and false otherwise

#### setCommentIsSet

    public void setCommentIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TColumnDesc._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TColumnDesc,​TColumnDesc._Fields>`

#### getFieldValue

    public Object getFieldValue​(TColumnDesc._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TColumnDesc,​TColumnDesc._Fields>`

#### isSet

    public boolean isSet​(TColumnDesc._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TColumnDesc,​TColumnDesc._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TColumnDesc that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TColumnDesc other)

Specified by:
  `compareTo` in interface `Comparable<TColumnDesc>`

#### fieldForId

    public TColumnDesc._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TColumnDesc,​TColumnDesc._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`